<?xml version="1.0" encoding="UTF-8"?>

<listing xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <argument name="data" xsi:type="array">
        <item name="js_config" xsi:type="array">
            <item name="provider" xsi:type="string">amasty_advancedreview_comment_listing.amasty_advancedreview_comment_listing_data_source</item>
            <item name="deps" xsi:type="string">amasty_advancedreview_comment_listing.amasty_advancedreview_comment_listing_data_source</item>
        </item>
        <item name="spinner" xsi:type="string">amasty_review_comments_columns</item>
    </argument>
    <dataSource name="amasty_advancedreview_comment_listing_data_source">
        <argument name="dataProvider" xsi:type="configurableObject">
            <argument name="class" xsi:type="string">Amasty\AdvancedReview\Ui\DataProvider\Listing\CommentDataProvider</argument>
            <argument name="name" xsi:type="string">amasty_advancedreview_comment_listing_data_source</argument>
            <argument name="primaryFieldName" xsi:type="string">id</argument>
            <argument name="requestFieldName" xsi:type="string">id</argument>
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="update_url" xsi:type="url" path="mui/index/render"/>
                    <item name="storageConfig" xsi:type="array">
                        <item name="indexField" xsi:type="string">id</item>
                    </item>
                </item>
            </argument>
        </argument>
        <argument name="data" xsi:type="array">
            <item name="js_config" xsi:type="array">
                <item name="component" xsi:type="string">Magento_Ui/js/grid/provider</item>
            </item>
        </argument>
    </dataSource>
    <listingToolbar name="listing_top">
        <bookmark name="bookmarks"/>
        <columnsControls name="columns_controls"/>
        <filters name="listing_filters" />
        <massaction name="listing_massaction">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/tree-massactions</item>
                </item>
            </argument>
            <action name="activate">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">activate</item>
                        <item name="label" xsi:type="string" translate="true">Approve</item>
                        <item name="url" xsi:type="url" path="*/comment/massActivate">
                            <param name="action">activate</param>
                        </item>
                        <item name="confirm" xsi:type="array">
                            <item name="title" xsi:type="string" translate="true">Approve</item>
                            <item name="message" xsi:type="string" translate="true">Are you sure you want to approve?</item>
                        </item>
                    </item>
                </argument>
            </action>
            <action name="inactivate">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">inactivate</item>
                        <item name="label" xsi:type="string" translate="true">Inactivate</item>
                        <item name="url" xsi:type="url" path="*/comment/massInactivate">
                            <param name="action">inactivate</param>
                        </item>
                        <item name="confirm" xsi:type="array">
                            <item name="title" xsi:type="string" translate="true">Inactivate</item>
                            <item name="message" xsi:type="string" translate="true">Are you sure?</item>
                        </item>
                    </item>
                </argument>
            </action>
            <action name="delete">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">delete</item>
                        <item name="label" xsi:type="string" translate="true">Delete</item>
                        <item name="url" xsi:type="url" path="*/comment/massDelete">
                            <param name="action">delete</param>
                        </item>
                        <item name="confirm" xsi:type="array">
                            <item name="title" xsi:type="string" translate="true">Delete</item>
                            <item name="message" xsi:type="string" translate="true">Are you sure?</item>
                        </item>
                    </item>
                </argument>
            </action>
        </massaction>
        <paging name="listing_paging"/>
    </listingToolbar>
    <columns name="amasty_review_comments_columns">
        <argument name="data" xsi:type="array">
            <item name="config" xsi:type="array">
                <item name="editorConfig" xsi:type="array">
                    <item name="indexField" xsi:type="string">id</item>
                    <item name="enabled" xsi:type="boolean">true</item>
                    <item name="selectProvider" xsi:type="string">amasty_advancedreview_comment_listing.amasty_advancedreview_comment_listing.amasty_review_comments_columns.ids</item>
                    <item name="clientConfig" xsi:type="array">
                        <item name="validateBeforeSave" xsi:type="boolean">false</item>
                    </item>
                </item>
                <item name="childDefaults" xsi:type="array">
                    <item name="fieldAction" xsi:type="array">
                        <item name="provider" xsi:type="string">amasty_advancedreview_comment_listing.amasty_advancedreview_comment_listing.amasty_review_comments_columns.actions</item>
                        <item name="target" xsi:type="string">applyAction</item>
                        <item name="params" xsi:type="array">
                            <item name="0" xsi:type="string">edit</item>
                            <item name="1" xsi:type="string">${ $.$data.rowIndex }</item>
                        </item>
                    </item>
                </item>

            </item>
        </argument>

        <selectionsColumn name="ids">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="resizeEnabled" xsi:type="boolean">false</item>
                    <item name="resizeDefaultWidth" xsi:type="string">10</item>
                    <item name="indexField" xsi:type="string">id</item>
                </item>
            </argument>
        </selectionsColumn>

        <column name="id">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">textRange</item>
                    <item name="sorting" xsi:type="string">asc</item>
                    <item name="label" xsi:type="string" translate="true">ID</item>
                </item>
            </argument>
        </column>

        <column name="title">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Review</item>
                    <item name="sortOrder" xsi:type="number">20</item>
                </item>
            </argument>
        </column>

        <column name="message">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Comment</item>
                    <item name="sortOrder" xsi:type="number">30</item>
                </item>
            </argument>
        </column>

        <column name="nickname">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Nickname</item>
                    <item name="sortOrder" xsi:type="number">40</item>
                </item>
            </argument>
        </column>

        <column name="email">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Email</item>
                    <item name="sortOrder" xsi:type="number">50</item>
                </item>
            </argument>
        </column>

        <column name="status">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Status</item>
                    <item name="filter" xsi:type="string">select</item>
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/columns/select</item>
                    <item name="editor" xsi:type="array">
                        <item name="editorType" xsi:type="string">select</item>
                        <item name="validation" xsi:type="array">
                            <item name="required" xsi:type="boolean">true</item>
                            <item name="required-entry" xsi:type="boolean">true</item>
                        </item>
                    </item>
                    <item name="dataType" xsi:type="string">select</item>
                    <item name="sortOrder" xsi:type="number">60</item>
                </item>
                <item name="options" xsi:type="object">Amasty\AdvancedReview\Model\Sources\CommentStatus</item>
            </argument>
        </column>

        <column name="created_at">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">dateRange</item>
                    <item name="label" xsi:type="string" translate="true">Created At</item>
                    <item name="sortOrder" xsi:type="number">80</item>
                </item>
            </argument>
        </column>

        <column name="updated_at">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">dateRange</item>
                    <item name="label" xsi:type="string" translate="true">Updated At</item>
                    <item name="sortOrder" xsi:type="number">90</item>
                </item>
            </argument>
        </column>

        <actionsColumn name="actions" class="Amasty\Base\Ui\Component\Listing\Column\ViewAction">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="indexField" xsi:type="string">id</item>
                    <item name="urlEntityParamName" xsi:type="string">id</item>
                    <item name="buttons" xsi:type="array">
                        <item name="approve" xsi:type="array">
                            <item name="urlPath" xsi:type="string">amasty_advancedreview/comment/approve</item>
                            <item name="itemLabel" xsi:type="string" translate="true">Approve</item>
                        </item>
                        <item name="reject" xsi:type="array">
                            <item name="urlPath" xsi:type="string">amasty_advancedreview/comment/reject</item>
                            <item name="itemLabel" xsi:type="string" translate="true">Disapprove</item>
                        </item>
                        <item name="edit" xsi:type="array">
                            <item name="urlPath" xsi:type="string">amasty_advancedreview/comment/edit</item>
                            <item name="itemLabel" xsi:type="string" translate="true">Edit</item>
                        </item>
                        <item name="delete" xsi:type="array">
                            <item name="urlPath" xsi:type="string">amasty_advancedreview/comment/delete</item>
                            <item name="itemLabel" xsi:type="string" translate="true">Delete</item>
                        </item>
                    </item>
                    <item name="sortOrder" xsi:type="number">100</item>
                </item>
            </argument>
        </actionsColumn>
    </columns>
</listing>
